{
	"name": "form/nc/erp-sync/procountor/column/order-invoice.json",
	"option": {
		"grid_option": {
			"cell_class_rules": {
				"nc-grid-cell-changed": "data.link_rec && colDef.change_compare !== false && data.change_field && recDataDifferent(data.link_rec, colDef, x)"
			},
			"row_class_rules": {
				"nc-grid-row-changed": "data.change_status === 'changed'",
				"nc-grid-row-deleted": "data.change_status === 'deleted'",
				"nc-grid-row-equal": "data.change_status === 'equal'",
				"nc-grid-row-new": "data.change_status === 'new'"
			}
		}
	},
	"column": [
		{
			"export": false,
			"link_field": "ord.order_id",
			"name": "Row",
			"record_type": "invoice",
			"variable": "idx"
		},
		{
			"export": false,
			"name": "Status",
			"variable": "change_status",
			"editable": false,
			"width": 65
		},
		{
			"export": false,
			"name": "Change field",
			"variable": "change_field",
			"editable": false,
			"width": 130
		},
		{
			"export": false,
			"field": "ord.order_id",
			"name": "Lasku",
			"width": 120
		},
		{
			"export": false,
			"field": "ord.record_id",
			"name": "Record id",
			"width": 120
		},
		{
			"static_export": "M",
			"field": "ord.order_type",
			"name": "Laskutyyppi",
			"width": 120
		},
		{
			"field": "ord.currency_id",
			"name": "Valuuttakoodi",
			"width": 120
		},
		{
			"field": "ord.json_data.bank_reference_number",
			"name": "Viitenumero",
			"width": 120
		},
		{
			"change_compare": false,
			"field": "co.json_data.bank_account",
			"organization_id": { "procountor": { "load": false } },
			"name": "Pankkitili",
			"width": 120
		},
		{
			"change_compare": false,
			"field": "co.json_data.trade_registry_number",
			"organization_id": { "procountor": { "load": false } },
			"name": "Y-tunnus",
			"info": "Asiakkaan y-tunnus",
			"width": 120
		},
		{
			"static_export": "",
			"variable": "payment_method",
			"value": "bank_transfer",
			"name": "Maksutapa",
			"width": 120
		},
		{
			"export": false,
			"field": "ord.invoicing_company_id",
			"name": "Asiakas",
			"width": 120
		},
		{
			"change_compare": false,
			"field": "co.name",
			"organization_id": { "procountor": { "load": false } },
			"name": "Asiakkaan nimi",
			"width": 180
		},
		{
			"static_export": "",
			"field": "ord.way_of_delivery",
			"name": "Toimitustapa",
			"width": 120
		},
		{
			"field": "ord.json_data.discount_percentage",
			"name": "Laskun alennus %",
			"width": 140
		},
		{
			"variable": "VAT code",
			"static_export": "",
			"name": "ALV koodi",
			"width": 100
		},
		{
			"variable": "reverse invoice code",
			"static_export": "",
			"name": "Hyvityskoodi",
			"width": 100
		},
		{
			"static_export": "",
			"variable": "delay percent",
			"info": "column L",
			"name": "Viivästyskorko %",
			"width": 130
		},
		{
			"field": "ord.order_date",
			"name": "Laskun päivä",
			"format": "%d.%m.%Y",
			"width": 120
		},
		{
			"field": "ord.json_data.destination_date",
			"format": "%d.%m.%Y",
			"name": "Toimituspäivä",
			"width": 120
		},
		{
			"field": "ord.due_date",
			"format": "%d.%m.%Y",
			"name": "Eräpäivä",
			"width": 120
		},
		{
			"change_compare": false,
			"export": false,
			"organization_id": { "procountor": { "load": false } },
			"field": "co.json_data.foreign_company",
			"name": "Ulk. yritys",
			"width": 80
		},
		{
			"change_compare": false,
			"static_export": "",
			"field": "ord.json_data.additional_data",
			"organization_id": { "procountor": { "load": false } },
			"name": "Liikekumppanin osoite",
			"width": 170
		},
		{
			"field": "ord.invoicing_address",
			"name": "Laskutusosoite",
			"width": 800
		},
		{
			"static_export": "",
			"field-": "ord.delivery_address",
			"name": "Toimitusosoite",
			"width": 800
		},
		{
			"field": "ord.note",
			"name": "Laskun lisätietoja",
			"width": 120
		},
		{
			"field": "ord.info",
			"name": "Muistiinpanoja",
			"width": 250
		},
		{
			"change_compare": false,
			"field": "ord.json_data.import_text",
			"organization_id": { "4d": { "load": false } },
			"name": "Csv",
			"width": 180
		},
		{
			"change_compare": false,
			"field": "co.email",
			"organization_id": { "procountor": { "load": false } },
			"name": "Sähköpostiosoite",
			"width": 120
		},
		{
			"variable": "payment day",
			"static_export": "",
			"name": "Laskun maksupäivä",
			"width": 120
		},
		{
			"field": "ord.exchange_rate",
			"name": "Valuuttakurssi",
			"width": 120
		},
		{
			"field": "ord.price_with_vat",
			"name": "Laskun loppusumma euroissa",
			"width": 120
		},
		{
			"variable": "VAT percentage",
			"static_export": "",
			"name": "Alv-%",
			"width": 120
		},
		{
			"variable": "invoice delivery method",
			"static_export": "",
			"name": "Laskukanava",
			"width": 120
		},
		{
			"change_compare": false,
			"field": "co.json_data.electronic_invoice_address",
			"organization_id": { "procountor": { "load": false } },
			"name": "Verkkolaskuosoite",
			"width": 120
		},
		{
			"field": "ord.company_reference_number",
			"name": "Tilausviite",
			"info": "Pitäisi olla asiakkaan tilausnumero",
			"width": 120
		},
		{
			"variable": "bookkeeping by row",
			"static_export": "",
			"name": "Kirjanpito riveittäin",
			"width": 120
		},
		{
			"variable": "not-in-use1",
			"static_export": "",
			"name": "Ei käytössä 1",
			"width": 120
		},
		{
			"variable": "not-in-use2",
			"static_export": "",
			"name": "Ei käytössä 2",
			"width": 120
		},
		{
			"change_compare": false,
			"field": "co.company_number",
			"organization_id": { "procountor": { "load": false } },
			"name": "Asiakasnumero",
			"width": 120
		},
		{
			"variable": "bookkeeping by row",
			"static_export": "",
			"name": "Lähetys koodi",
			"info": "Ehkä juokseva numero",
			"width": 120
		},
		{
			"variable": "file in zip",
			"static_export": "",
			"name": "Zip-paketissa oleva tiedosto",
			"width": 120
		},
		{
			"field": "ord.your_reference",
			"name": "Asiaa hoitaa",
			"width": 120
		},
		{
			"change_compare": false,
			"variable": "Bank SWIFT",
			"static_export": "",
			"organization_id": { "procountor": { "load": false } },
			"name": "Liikek. SWIFT-tunnus",
			"width": 200
		},
		{
			"variable": "electronic invoice operator",
			"static_export": "",
			"name": "Verkkolaskuoperaattori",
			"info": "maventa, basware, opuscapita, etc",
			"width": 120
		},
		{
			"variable": "not-in-use3",
			"static_export": "",
			"name": "Ei käytössä 3",
			"width": 120
		},
		{
			"field": "ord.order_id",
			"name": "Laskuttajan laskunumero",
			"width": 120
		},
		{
			"change_compare": false,
			"static_export": "",
			"variable": "ovt",
			"organization_id": { "procountor": { "load": false } },
			"name": "Liikek. OVT-tunnus",
			"info": "Koostuu Suomen verohallinnon tunnuksesta, joka on 0037 sekä yrityksen y-tunnuksesta, josta on poistettu väliviiva. OVT-tunnus tulee olla yrityksellä, jotta verkkolaskun lähettäjä ja verkkolaskun vastaanottaja tunnistetaan.",
			"width": 220
		},
		{
			"variable": "Factoring agreement number",
			"static_export": "",
			"name": "Faktoring-rahoitussopimuksen numero",
			"width": 120
		},
		{
			"static_export": "",
			"variable": "VAT country code",
			"value": "99",
			"name": "ALV-käsittelyn maakoodi",
			"width": 120
		},
		{
			"change_compare": false,
			"field": "top.discount_days",
			"organization_id": { "procountor": { "load": false } },
			"name": "Käteisalennuksen päivien lukumäärä",
			"info": "Käteisalennuksen päivien lukumäärä",
			"width": 80
		},
		{
			"change_compare": false,
			"field": "top.discount_percent",
			"organization_id": { "procountor": { "load": false } },
			"name": "Käteisalennuksen  %",
			"info": "Käteisalennuksen  %",
			"width": 120
		},
		{
			"variable": "Cash discount",
			"static_export": "",
			"name": "Käteisalennuksen päivien lukumäärä",
			"info": "= Eräpv - Kassa ale eräpv",
			"width": 120
		},
		{
			"variable": "Cash discount percentage",
			"static_export": "",
			"name": "Käteisalennuksen  %",
			"info": "= Eräpv - Kassa ale eräpv",
			"width": 120
		},
		{
			"variable": "Language code",
			"static_export": "",
			"name": "Kielikoodi",
			"width": 120
		},
		{
			"variable": "VAT reduction percentage",
			"static_export": "",
			"name": "Alv-vähennys%",
			"info": "",
			"width": 120
		},
		{
			"variable": "VAT type",
			"static_export": "",
			"name": "Alv-tyyppi",
			"info": "",
			"width": 120
		},
		{
			"variable": "VAT status",
			"static_export": "",
			"name": "Alv-status",
			"info": "",
			"width": 120
		}
	]
}
